Bluetooth not working

Bug #1764645 reported by Davide Riboli on 2018-04-17
216
This bug affects 41 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Bionic
Medium
Joseph Salisbury

Bug Description

== SRU Justification ==
A regression was discovered in Bionic. The regression was introduced by
mainline commit f44cb4b19ed4, which then made it's way into Bionic in
4.15.0-14 as commit c91729972ac6 via stable updates.

This regression is fixed by mainline commit 803cdb8ce584. Commit
803cdb8ce584 was also cc'd to stable. However, it has not landed in
upstream stable 4.15 or Bionic.

== Fix ==
803cdb8ce584 ("Bluetooth: btusb: Apply QCA Rome patches for some ATH3012 models")

== Regression Potential ==
Low. This fix has also been cc'd to upstream stable, so it has had
additonal upstream review.

== Test Case ==
A test kernel was built with this patch and tested by the original bug reporter.
The bug reporter states the test kernel resolved the bug.

I've installed the Ubuntu Bionic Beta 2 and everything works fine but the bluetooth (perfectly working with Xenial). In bluetooth control panel the slider is impossible to move to "on".

1) Ubuntu Release (via 'lsb_release -rd')
Description: Ubuntu Bionic Beaver (development branch)
Release: 18.04

2) Version of package (apt-cache policy gnome-bluetooth)
gnome-bluetooth:
  Installato: 3.28.0-2
  Candidato: 3.28.0-2
  Tabella versione:
 *** 3.28.0-2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

3) What you expected to happen
I expected to switch on the bluetooth.

4) What happened instead
Bluetooth won't switch on.

5) Output of rfkill list is:
0: hci0: Bluetooth
   Soft blocked: no
   Hard blocked: no
1: phy0: Wireless LAN
   Soft blocked: no
   Hard blocked: no

6) Output of lspci -knn | grep Net -A3; lsusb; dmesg | grep -i blue is:
03:00.0 Network controller [0280]: Qualcomm Atheros AR9462 Wireless
        Network Adapter [168c:0034] (rev 01)
        Subsystem: Bigfoot Networks, Inc. Killer Wireless-N 1202 Half-
        size Mini PCIe Card [1a56:2003]
        Kernel driver in use: ath9k
        Kernel modules: ath9k
04:00.0 Ethernet controller [0200]: Qualcomm Atheros QCA8171 Gigabit
        Ethernet [1969:10a1] (rev 10)
        Bus 002 Device 002: ID 8087:8000 Intel Corp.
        Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
        Bus 001 Device 002: ID 8087:8008 Intel Corp.
        Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
        Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
        Bus 003 Device 004: ID 04f2:b414 Chicony Electronics Co., Ltd
        Bus 003 Device 003: ID 0cf3:3004 Atheros Communications, Inc.
        AR3012 Bluetooth 4.0
        Bus 003 Device 002: ID 0b05:17c4 ASUSTek Computer, Inc.
        Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
[ 17.715399] Bluetooth: Core ver 2.22
[ 17.715414] Bluetooth: HCI device and connection manager initialized
[ 17.715416] Bluetooth: HCI socket layer initialized
[ 17.715418] Bluetooth: L2CAP socket layer initialized
[ 17.715422] Bluetooth: SCO socket layer initialized
[ 17.723207] Bluetooth: hci0: don't support firmware rome 0x11020000
[ 18.600648] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 18.600649] Bluetooth: BNEP filters: protocol multicast
[ 18.600651] Bluetooth: BNEP socket layer initialized

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-15-generic 4.15.0-15.16
ProcVersionSignature: Ubuntu 4.15.0-15.16-generic 4.15.15
Uname: Linux 4.15.0-15-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: stormy 1484 F.... pulseaudio
 /dev/snd/controlC0: stormy 1484 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Tue Apr 17 08:46:30 2018
HibernationDevice: RESUME=UUID=3f513ca9-6817-4099-9718-fee68d68ec11
InstallationDate: Installed on 2018-04-16 (0 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Beta amd64 (20180404)
MachineType: ASUSTeK COMPUTER INC. G750JH
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-15-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-15-generic N/A
 linux-backports-modules-4.15.0-15-generic N/A
 linux-firmware 1.173
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/02/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: G750JH.206
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: G750JH
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrG750JH.206:bd12/02/2013:svnASUSTeKCOMPUTERINC.:pnG750JH:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnG750JH:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: G
dmi.product.name: G750JH
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

Davide Riboli (davideriboli) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17-rc1/

Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
status: Confirmed → Incomplete
tags: added: kernel-bug-exists-upstream
Davide Riboli (davideriboli) wrote :

The issue started with the first upgrade from kernel 4.15.0-13.

With kernel 4.15.0-13 bluetooth is working.

With every other after - included 4.17-rc1 (test done) - bluetooth is disabled.

Davide Riboli (davideriboli) wrote :

Today I updated kernel to 4.15.13 and now everything is ok.

tags: added: kernel-fixed-upstream
removed: kernel-bug-exists-upstream
modolo (modolo) wrote :

I still have the same problem!

lsusb | grep -i blue
Bus 002 Device 003: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

uname -a
Linux nibiru 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

Edward (edward-911) wrote :

i have the same exact problem

lsusb | grep -i blue
Bus 003 Device 002: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

uname -a
Linux ednote 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

Wow, I just upgraded to 18.04 and after the restart bluetooth was gone. I tried to restart a couple of times, no deal, then I turned off and on again, and it worked!

My device is this one:

Bus 001 Device 005: ID 0cf3:e007 Atheros Communications, Inc.

Tested in a newer kernel, the problem still persists.

lsusb | grep -i blue
Bus 002 Device 011: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

uname -a
Linux Eleonor 4.16.5-041605-generic #201804260630 SMP Thu Apr 26 10:32:51 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

Davide Riboli (davideriboli) wrote :

Hi,

don't know if this can help but, as i wrote, with kernel 4.15.0-13 my bluetooth was working.

After installing 4.15.03 (I used this utility to manage kernels: http://www.teejeetech.in/p/ukuu-kernel-upgrade-utility.html) I've switched on the bluetooth and then upgraded again and now bluetooth is working even with 4.15.13.

Same problem here. I upgraded to xubuntu 18.04 and now have no bluetooth adaptor.

Linux me 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

 dmesg | grep Blue

[ 9.349903] Bluetooth: Core ver 2.22
[ 9.349994] Bluetooth: HCI device and connection manager initialized
[ 9.356787] Bluetooth: HCI socket layer initialized
[ 9.356798] Bluetooth: L2CAP socket layer initialized
[ 9.356821] Bluetooth: SCO socket layer initialized
[ 9.648950] Bluetooth: hci0: don't support firmware rome 0x31010000
[ 9.799444] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 9.799449] Bluetooth: BNEP filters: protocol multicast
[ 9.799459] Bluetooth: BNEP socket layer initialized

lsusb:

Bus 002 Device 003: ID 2232:1054 Silicon Motion
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 002: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

rfkill list

0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no

The amd64 laptop is dual-booted, Windows 10, and bluetooth still works there. On xubuntu I was on artful, and it worked there.

I should add that this was a clean reinstall on re-formatted disk to the first formal LTS release of 18.04, not an upgrade from 17.10.

I have now tried kernel 4.15.18-041518-generic #201804190330 SMP Thu Apr 19 07:34:21 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

No change, still no adaptor. I'm a little reluctant to try 4.16, since even 4.17 is said above not to help.

Where is 4.15.0.3 to be found? I tried to install ukuu as per comment #10, but it conflicts with other software on my system.

modolo (modolo) wrote :

For me it still does not work. I even tried to reinstall the bluez package and it did not help!

dmesg | grep Blue
[ 2.786362] usb 2-1.5: Product: Bluetooth USB Host Controller
[ 18.656363] Bluetooth: Core ver 2.22
[ 18.656381] Bluetooth: HCI device and connection manager initialized
[ 18.656384] Bluetooth: HCI socket layer initialized
[ 18.656386] Bluetooth: L2CAP socket layer initialized
[ 18.656391] Bluetooth: SCO socket layer initialized
[ 18.704441] Bluetooth: hci0: don't support firmware rome 0x1020200
[ 19.890230] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 19.890231] Bluetooth: BNEP filters: protocol multicast
[ 19.890234] Bluetooth: BNEP socket layer initialized

lsusb
Bus 002 Device 003: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 2232:1029 Silicon Motion WebCam SC-13HDL11939N
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

rfkill list
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

uname -a
Linux nibiru 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Daniel Buchmann (bukbr) wrote :

Same situation here:

lsusb
Bus 001 Device 006: ID 0c45:64e0 Microdia
Bus 001 Device 005: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0
Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 001 Device 003: ID 046d:c52f Logitech, Inc. Unifying Receiver
Bus 001 Device 002: ID 8087:8000 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

===

lspci -knn | grep Net -A3; lsusb; dmesg | grep -i blue
02:00.0 Network controller [0280]: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter [168c:0036] (rev 01)
 Subsystem: Samsung Electronics Co Ltd QCA9565 / AR9565 Wireless Network Adapter [144d:411c]
 Kernel driver in use: ath9k
 Kernel modules: ath9k
03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller [10ec:8136] (rev 05)
Bus 001 Device 006: ID 0c45:64e0 Microdia
Bus 001 Device 005: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0
Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 001 Device 003: ID 046d:c52f Logitech, Inc. Unifying Receiver
Bus 001 Device 002: ID 8087:8000 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
[ 13.924029] Bluetooth: Core ver 2.22
[ 13.924048] Bluetooth: HCI device and connection manager initialized
[ 13.924051] Bluetooth: HCI socket layer initialized
[ 13.924053] Bluetooth: L2CAP socket layer initialized
[ 13.924058] Bluetooth: SCO socket layer initialized
[ 14.808709] Bluetooth: hci0: don't support firmware rome 0x31010000
[ 29.184439] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 29.184440] Bluetooth: BNEP filters: protocol multicast
[ 29.184443] Bluetooth: BNEP socket layer initialized

The same thing is happening to me. I have a Lenovo G40-80 laptop, I did a clean install yesterday, and the switch thing in the configurations doesn't really turn the bluetooth on, since I can't use it.

uname -a
Linux gustavo-Lenovo-G40-80 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

lsusb | grep -i blue
Bus 001 Device 005: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

The bug status is still 'incomplete'. What more information can we provide?

Sal Paradiso (sal.p6o) wrote :

The same here after a new installation of Ubuntu 18.04.
uname -a
Linux sal-Lenovo-B50-30 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
lsusb | grep -i blue
Bus 001 Device 004: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

I have just tested with the latest mainline kernel, 4.17.0-041700rc3-generic, and it is still not working. In the command line, I tried to trigger a manual scan using bluetoothctl, but it says "No default controller available".

Also, if it helps, here is a pastebin containing my journalctl https://pastebin.com/WNTTmt3e

tags: added: kernel-bug-exists-upstream
removed: kernel-fixed-upstream
Changed in linux (Ubuntu Bionic):
status: Incomplete → Confirmed
Chad (d-chad) wrote :

Same.

lotus@lotus:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic
lotus@lotus:~$ uname -a
Linux lotus 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

lotus@lotus:~$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)
00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 02)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #1 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #9 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
02:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
03:00.0 Non-Volatile memory controller: Toshiba America Info Systems NVMe Controller (rev 01)

I wonder if the 8260 is a dual wifi/bluetooth chip and if that has anything to do with it?

Edison Wong (hswong3i) wrote :

After today `apt update && apt -y full-upgrade`, my bluetooth mouse works again with `vanilla-gnome-desktop` ;-)

modolo (modolo) wrote :

Hi!

I did the complete update and rebooted the machine and the problem continues!

Bluetooth does not power on!!

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

sudo apt update
Atingido:1 http://br.archive.ubuntu.com/ubuntu bionic InRelease
Atingido:2 http://br.archive.ubuntu.com/ubuntu bionic-updates InRelease
Atingido:3 http://br.archive.ubuntu.com/ubuntu bionic-backports InRelease
Atingido:4 http://br.archive.ubuntu.com/ubuntu bionic-security InRelease
Ign:5 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:6 http://dl.google.com/linux/chrome/deb stable Release
Atingido:8 http://archive.canonical.com/ubuntu bionic InRelease
Atingido:9 https://packagecloud.io/AtomEditor/atom/any any InRelease
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
All packages are up to date.

Is this problem confined to the Atheros 3012 and Intel 8260? I really don't want to upgrade my ubuntu 17.10 desktop if bluetooth won't work. For bluetooth It has a:

03:00.0 Network controller [0280]: Intel Corporation Wireless 3160 [8086:08b3] (rev 83)
 Subsystem: Intel Corporation Dual Band Wireless-AC 3160 [8086:0070]
 Kernel driver in use: iwlwifi

Edison Wong (hswong3i) wrote :

Update for https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1764645/comments/20

After `apt update && apt -y full-upgrade`:
  - WORKS: Complete shutdown + startup, disconnect + reconnect bluetooth mouse successful
  - NOT WORKS: after suspend + resume, connected bluetooth mouse not response
  - NOT WORKS: after complete shutdown + startup, connected bluetooth mouse not response

My details:

hswong3i@hswong3i-Vostro-5568:~$ lsb_release -a
LSB Version: core-9.20170808ubuntu1-noarch:printing-9.20170808ubuntu1-noarch:security-9.20170808ubuntu1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

hswong3i@hswong3i-Vostro-5568:~$ uname -a
Linux hswong3i-Vostro-5568 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

hswong3i@hswong3i-Vostro-5568:~$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)
00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 02)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #1 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port (rev f1)
00:1c.4 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
01:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 940MX] (rev a2)
02:00.0 Network controller: Intel Corporation Wireless 3165 (rev 79)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)

hswong3i@hswong3i-Vostro-5568:~$ lsusb
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 138a:0011 Validity Sensors, Inc. VFS5011 Fingerprint Reader
Bus 001 Device 004: ID 8087:0a2a Intel Corp.
Bus 001 Device 003: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 001 Device 002: ID 0bda:568a Realtek Semiconductor Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

I just installed the latest mainline kernel, 4.17.0-041700rc4-generic, and the issue persists...
In bluetoothctl, it says there is no default controller available, and the "switch" in the gnome configs does nothing.

Journalctl -b | grep Bluetooth gives me the following error: kernel: Bluetooth: hci0: don't support firmware rome 0x31010000

modolo (modolo) wrote :

The command output dmesg | grep -i blue shows:

[ 2.801930] usb 2-1.5: Product: Bluetooth USB Host Controller
[ 13.442616] Bluetooth: Core ver 2.22
[ 13.442633] Bluetooth: HCI device and connection manager initialized
[ 13.442636] Bluetooth: HCI socket layer initialized
[ 13.442638] Bluetooth: L2CAP socket layer initialized
[ 13.442643] Bluetooth: SCO socket layer initialized
[ 13.450323] Bluetooth: hci0: don't support firmware rome 0x1020200
[ 14.456116] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 14.456117] Bluetooth: BNEP filters: protocol multicast
[ 14.456120] Bluetooth: BNEP socket layer initialized

And I ended up finding the following bug report Bug 1568911 - Bluetooth hci0: don't support firmware rome 0x1020200 since 4.15.14

https://bugzilla.redhat.com/show_bug.cgi?id=1568911

See also this report, where if I read it correctly they seem to have a patch.

https://bbs.archlinux.org/viewtopic.php?id=235862

Daniel Buchmann (bukbr) wrote :

Tired of this update that never arrives? In the meantime, to make it work, install the 4.14.30 kernel as follows:

1. Open a terminal
2. Add repository: sudo apt-add-repository ppa:teejee2008/ppa
3. Update: sudo apt-get update
4. Install: sudo apt-get install ukuu
5. On dash, call: ukuu
6. Install version 4.14.30
7. Restart, advanced options, choose 4.14.30 kernel, and... voilà

Wait for the update of this BUG more peacefully. :-)

I can't use ukuu since its dependencies conflict with other software on my system.

Daniel Buchmann (bukbr) wrote :

News! Kernel 4.16.19 fixed this issue, in my case. To upgrade follow #27 above.

Be happy! :-)

Sachin Harle (sachinharle) wrote :

Had the issue. Solved with kernel 4.16.9 to be precise!

I confirm that this is fixed on my laptop in mainline kernel 4.16.9 (not 4.6.19), obtained from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16.9/ . These days there are 4 debs to install.

Good!

The next question is how long it will take to get into bionic with a proper ubuntu kernel. I haven't had any issues thus far with 4.16.9, but you never know....

I have attempted to add tag 'fixed upstream' tag, and reference 4.16.9.

tags: added: 4.16.9 kernel-fixed-upstream
mrcastro (matheusrezende) wrote :

I can confirm it works now, following instructions on #27

When, if ever, is it likely to trickle down to 4.15 as 'standard' for 18.04?

Yaroslav (yaroslav.shlapak) wrote :

The workaround with kernel update did not help in my case.
The bluetooth worked before the recent updates received via software center, maybe 4.15.0-22.24 is a culprit.

ukuu v18.5.1
Distribution: Ubuntu 18.04 LTS
Architecture: amd64
Running kernel: 4.16.9-041609-generic
Kernel version: 4.16.9-041609-generic
Cache: /home/yaroslav/.cache/ukuu
Temp: /tmp/ukuu/fQvumYvh
----------------------------------------------------------------------
Found installed: 4.15.0.22.23
Found installed: 4.15.0-22.24
Found installed: 4.16.12-041612.201805251538
Found installed: 4.16.9-041609.201805161024
Found installed: 4.15.0-20.21
----------------------------------------------------------------------
Latest point update: 4.16.11
----------------------------------------------------------------------

Yaroslav (yaroslav.shlapak) wrote :

Well, just tried to load the system using
Running kernel: 4.15.0-20-generic
Kernel version: 4.15.0.20.21
and the Bluetooth works.

Bluetooth doesn't work on 4.5.0-22.24 on my laptop. The bug does seem specific to certain adaptors.

Jeremy (wa113y3s) wrote :

I think we should wait on the proper fix to be approved
https://bugzilla.opensuse.org/attachment.cgi?id=770190 is a patch that supports both old and new versions of the 0cf3:3004

Jeremy (wa113y3s) wrote :

If anyone wants to test this fix

sudo apt install git build-essential dkms
git clone https://github.com/jeremyb31/newbtfix-4.15.git
sudo dkms add ./newbtfix-4.15
sudo dkms install btusb/4.0

If a fix is released for 4.15

sudo dkms remove btusb/4.0
sudo rm -r /usr/src/btusb-4.0

Changed in linux (Ubuntu Bionic):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
status: Confirmed → Triaged
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with commit 803cdb8ce584198cd45825822910cac7de6378cb. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1764645

Can you test this kernel and see if it resolves this bug?

Note about installing test kernels:
• If the test kernel is prior to 4.15(Bionic) you need to install the linux-image and linux-image-extra .deb packages.
• If the test kernel is 4.15(Bionic) or newer, you need to install the linux-modules, linux-modules-extra and linux-image-unsigned .deb packages.

Thanks in advance!

Changed in linux (Ubuntu Bionic):
status: Triaged → In Progress
Changed in linux (Ubuntu):
status: Triaged → In Progress

I've just seen 4.15.0.23 being downloaded on one of my systems. Does this include the test patch (which was on 4.15.0.22-25)?

Jeremy (wa113y3s) wrote :

Tim Passingham, the 4.15.0-23 kernel will not have the patch, only Joseph's test kernel and my newbtfix-4.15 on github has them

Jeremy (wa113y3s) wrote :

Joseph that seems to work as I uninstalled my fix and booted into your kernel. I also posted a comment on bug #1542743 for that user to test this to see if it works as the opensuse bug report states

The test kernel from #43 works on my laptop. Thanks.

When is that likely to be 'official'?

Joseph Salisbury (jsalisbury) wrote :
description: updated
Daniel Buchmann (bukbr) wrote :

On my laptop the Bluetooth icon now appears, but when trying to pair a device, it's not finding, even if it's visible, of course.

Please access message #14 to see the hardware details

Thanks.

Jeremy (wa113y3s) wrote :

Daniel, is the dmesg the same for dmesg | egrep -i 'blue|firm'
What does hciconfig -a show?

baiyu (baiyu) wrote :

Problem solved by upgrading kernel, following the way in #27.

Thank you so much!

Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Daniel Buchmann (bukbr) wrote :

Jeremy, very good question :-), please see the results here: http://shorturl.at/tGJKT

I did not post the results due to the large volume of text

Thanks!!!

Ajay Anand (aanand-ub) wrote :

Bluetooth doesn't turn on, fresh install on formatted disk on Lenovo G50, single OS.

lsusb | grep -i blue
Bus 002 Device 006: ID 0cf3:3004 Atheros Communications, Inc. AR3012 Bluetooth 4.0

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04 LTS
Release: 18.04
Codename: bionic

 dmesg | grep -i blue
[ 15.902210] Bluetooth: Core ver 2.22
[ 15.902232] Bluetooth: HCI device and connection manager initialized
[ 15.902236] Bluetooth: HCI socket layer initialized
[ 15.902239] Bluetooth: L2CAP socket layer initialized
[ 15.902247] Bluetooth: SCO socket layer initialized
[ 15.916264] Bluetooth: hci0: don't support firmware rome 0x31010000
[ 22.243557] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 22.243559] Bluetooth: BNEP filters: protocol multicast
[ 22.243563] Bluetooth: BNEP socket layer initialized

Ajay Anand (aanand-ub) wrote :

In addition to my comment #53

uname -a
Linux system 4.15.0-23-generic #25-Ubuntu SMP Wed May 23 18:02:16 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

The recent 4.15.0-24 kernel also doesn't have patch.

Jeremy (wa113y3s) wrote :

Daniel, that is a different bug, try a complete shutdown and boot

Daniel Buchmann (bukbr) wrote :

Jeremy, I did it right now (#56), but the issue persists. Here's the updated output: https://tinyurl.com/ycsv97tv

#43 worked for me. Thanks for the work.

Zero (zerofossilfuel) wrote :

This is now working again for me as of Linux-Firmware 1.157.20 and kernel 4.4.0.130.136 received today.

THANK YOU, THANK YOU, THANK YOU!!!

I installed the latest official Bionic kernel today - Linux 4.15.0-29-generic #31-Ubuntu SMP Tue Jul 17 15:39:52 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

The bug isn't fixed in this version, so I'm back to non-official 4.16.9.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
moriarty (alexander-moriarty) wrote :

In this thread:

https://lists.ubuntu.com/archives/kernel-team/2018-June/093434.html

It says "Applied to Bionic".

I don't see the commit in git://kernel.ubuntu.com/ubuntu/ubuntu-bionic.git
Will this fix make it into 4.15.0-xx?

Launchpad Janitor (janitor) wrote :
Download full text (14.9 KiB)

This bug was fixed in the package linux - 4.17.0-6.7

---------------
linux (4.17.0-6.7) cosmic; urgency=medium

  * linux: 4.17.0-6.7 -proposed tracker (LP: #1783396)

  * [Regression] EXT4-fs error (device sda2): ext4_validate_block_bitmap:383:
    comm stress-ng: bg 4705: bad block bitmap checksum (LP: #1781709)
    - SAUCE: Revert "UBUNTU: SAUCE: ext4: fix ext4_validate_inode_bitmap: comm
      stress-ng: Corrupt inode bitmap"
    - SAUCE: ext4: check for allocation block validity with block group locked

  * Cosmic update to 4.17.9 stable release (LP: #1783201)
    - userfaultfd: hugetlbfs: fix userfaultfd_huge_must_wait() pte access
    - mm: hugetlb: yield when prepping struct pages
    - mm: teach dump_page() to correctly output poisoned struct pages
    - PCI / ACPI / PM: Resume bridges w/o drivers on suspend-to-RAM
    - ACPICA: Drop leading newlines from error messages
    - ACPI / battery: Safe unregistering of hooks
    - drm/amdgpu: Make struct amdgpu_atif private to amdgpu_acpi.c
    - tracing: Avoid string overflow
    - tracing: Fix missing return symbol in function_graph output
    - scsi: sg: mitigate read/write abuse
    - scsi: aacraid: Fix PD performance regression over incorrect qd being set
    - scsi: target: Fix truncated PR-in ReadKeys response
    - s390: Correct register corruption in critical section cleanup
    - drbd: fix access after free
    - vfio: Use get_user_pages_longterm correctly
    - ARM: dts: imx51-zii-rdu1: fix touchscreen pinctrl
    - ARM: dts: omap3: Fix am3517 mdio and emac clock references
    - ARM: dts: dra7: Disable metastability workaround for USB2
    - cifs: Fix use after free of a mid_q_entry
    - cifs: Fix memory leak in smb2_set_ea()
    - cifs: Fix slab-out-of-bounds in send_set_info() on SMB2 ACE setting
    - cifs: Fix infinite loop when using hard mount option
    - drm: Use kvzalloc for allocating blob property memory
    - drm/udl: fix display corruption of the last line
    - drm/amdgpu: Add amdgpu_atpx_get_dhandle()
    - drm/amdgpu: Dynamically probe for ATIF handle (v2)
    - jbd2: don't mark block as modified if the handle is out of credits
    - ext4: add corruption check in ext4_xattr_set_entry()
    - ext4: always verify the magic number in xattr blocks
    - ext4: make sure bitmaps and the inode table don't overlap with bg
      descriptors
    - ext4: always check block group bounds in ext4_init_block_bitmap()
    - ext4: only look at the bg_flags field if it is valid
    - ext4: verify the depth of extent tree in ext4_find_extent()
    - ext4: include the illegal physical block in the bad map ext4_error msg
    - ext4: clear i_data in ext4_inode_info when removing inline data
    - ext4: never move the system.data xattr out of the inode body
    - ext4: avoid running out of journal credits when appending to an inline file
    - ext4: add more inode number paranoia checks
    - ext4: add more mount time checks of the superblock
    - ext4: check superblock mapped prior to committing
    - HID: i2c-hid: Fix "incomplete report" noise
    - HID: hiddev: fix potential Spectre v1
    - HID: debug: check length before copy_to_user()
    - HID: core: allow concurrent registr...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Tino Meinen (a-t-meinen) wrote :

This is good news for the people using cosmic!

Will the fix be released for bionic too?

The Ubuntu wiki https://wiki.ubuntu.com/Kernel/BugTriage/BugStates
defines Fix Committed and Released as follows.

Fix Committed

Bugs that are marked Fix Committed are considered fixed by a patch which as been committed to the Ubuntu kernel git repository. This does not mean the fix has been released but it should be expected to be in the next kernel upload. There is no determinate time when a kernel upload will happen, it's up to the discretion of the Ubuntu Kernel Team.

Fix Released

Bugs are moved to a Fix Released state when the fix is readily available in the Ubuntu archive (in the updates pocket). If the Ubuntu kernel developer correctly created the git commit message to include the Launchpad Buglink, the launchpad janitor should automatically move a bug from Fix Committed to Fix Released once the fix is officially available.

To summarise, the fix was committed upstream on 2018-06-04
The status of this bug was changed to Fix Committed on 2018-06-20 and also on 2018-07-25
A few new kernel releases for bionic, not containing the fix, have occurred since those dates.

Did something go wrong in committing the fix to the bionic kernel?
Can we do anything to help getting the fix released for bionic?

Not yet fixed in 4.15.0.30.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
tags: added: verification-done-bionic
removed: verification-needed-bionic

Tested today. All OK. Tag updated.

The installation wasn't trivial, since even with an apply-all proposed the image wasn't installed. I had to explicitly select it (using synaptic).

I was also somewhat alarmed that two linux packages had to be removed. However, all seems well and I've removed mainline 4.16.9.

Jeremy (wa113y3s) wrote :

Fixed in 4.15.0-31!

Daniel Buchmann (bukbr) wrote :

Hi Jeremy, version 4.15.0-31 is not yet available for update, at least for me.

Jeremy (wa113y3s) wrote :

See comment 65 to see how to enable proposed repo

Daniel Buchmann (bukbr) wrote :

Hi, it's finally OK now on 4.15.0-31. Thanks for helping! ;-)

Oh dear. The Official (not 'proposed') update to 4.15.0-32 seems to have omitted the fix. My Bluetooth adaptor is now invisible again.

Help!

Sal Paradiso (sal.p6o) wrote :

There is a proposed 4.15.0-33. It should have the fix.
see: https://www.ubuntuupdates.org/package/core/bionic/main/proposed/linux

Can we be sure the fix is in 4.15.0-33? Otherwise I'll go back to 4.16.9.

Sal Paradiso (sal.p6o) wrote :

Just installed the proposed 4.15.0-33. The fix is in. Bluetooth is working.

It was in proposed 31, but not in the official release. How can I tell if it will make official 33?

I tried 4.15.0-33 in the hope of bluetooth again.

I should not have done. No ethernet, no wifi, and no bluetooth at all. I know it's 'proposed', but I've been without a bionic bluetooth for many months now. I just hope any official version is OK.

Yes, I know it's free. This is, however, the first time I've had serious problems go on for this long.

All I have to do now is try to undo all the -33 changes (you guessed - I'm not an expert!).

Sal Paradiso (sal.p6o) wrote :

All you have to do is to boot with the last working Kernel.(you can do it at boot time trough the Grub menu)
If it works then you can remove the 4.15.0-33.

Sadly I don't have a kernel that works with bluetooth. The working proposed 31 was replaced with a non-working official kernel 31. I'll have to go to 4.16.something of higher. Bother.

Ooops - sorry. My 4.15.0-31 is still the proposed, working, version, so I have bluetooth again.

For those who never got the proposed version 31, what do they do if, as for me, version 33 is a non-starter?

Can someone advise - should I attempt to report the problems I have with 4.15.0-33 (see #76)? I know it's a different bug, but not so easy to report a brand new bug when I can't connect to the network and it's a 'proposed' kernel.

Launchpad Janitor (janitor) wrote :
Download full text (35.6 KiB)

This bug was fixed in the package linux - 4.15.0-33.36

---------------
linux (4.15.0-33.36) bionic; urgency=medium

  * linux: 4.15.0-33.36 -proposed tracker (LP: #1787149)

  * RTNL assertion failure on ipvlan (LP: #1776927)
    - ipvlan: drop ipv6 dependency
    - ipvlan: use per device spinlock to protect addrs list updates
    - SAUCE: fix warning from "ipvlan: drop ipv6 dependency"

  * ubuntu_bpf_jit test failed on Bionic s390x systems (LP: #1753941)
    - test_bpf: flag tests that cannot be jited on s390

  * HDMI/DP audio can't work on the laptop of Dell Latitude 5495 (LP: #1782689)
    - drm/nouveau: fix nouveau_dsm_get_client_id()'s return type
    - drm/radeon: fix radeon_atpx_get_client_id()'s return type
    - drm/amdgpu: fix amdgpu_atpx_get_client_id()'s return type
    - platform/x86: apple-gmux: fix gmux_get_client_id()'s return type
    - ALSA: hda: use PCI_BASE_CLASS_DISPLAY to replace PCI_CLASS_DISPLAY_VGA
    - vga_switcheroo: set audio client id according to bound GPU id

  * locking sockets broken due to missing AppArmor socket mediation patches
    (LP: #1780227)
    - UBUNTU SAUCE: apparmor: fix apparmor mediating locking non-fs, unix sockets

  * Update2 for ocxl driver (LP: #1781436)
    - ocxl: Fix page fault handler in case of fault on dying process

  * netns: unable to follow an interface that moves to another netns
    (LP: #1774225)
    - net: core: Expose number of link up/down transitions
    - dev: always advertise the new nsid when the netns iface changes
    - dev: advertise the new ifindex when the netns iface changes

  * [Bionic] Disk IO hangs when using BFQ as io scheduler (LP: #1780066)
    - block, bfq: fix occurrences of request finish method's old name
    - block, bfq: remove batches of confusing ifdefs
    - block, bfq: add requeue-request hook

  * HP ProBook 455 G5 needs mute-led-gpio fixup (LP: #1781763)
    - ALSA: hda: add mute led support for HP ProBook 455 G5

  * [Bionic] bug fixes to improve stability of the ThunderX2 i2c driver
    (LP: #1781476)
    - i2c: xlp9xx: Fix issue seen when updating receive length
    - i2c: xlp9xx: Make sure the transfer size is not more than
      I2C_SMBUS_BLOCK_SIZE

  * x86/kvm: fix LAPIC timer drift when guest uses periodic mode (LP: #1778486)
    - x86/kvm: fix LAPIC timer drift when guest uses periodic mode

  * Please include ax88179_178a and r8152 modules in d-i udeb (LP: #1771823)
    - [Config:] d-i: Add ax88179_178a and r8152 to nic-modules

  * Nvidia fails after switching its mode (LP: #1778658)
    - PCI: Restore config space on runtime resume despite being unbound

  * Kernel error "task zfs:pid blocked for more than 120 seconds" (LP: #1781364)
    - SAUCE: (noup) zfs to 0.7.5-1ubuntu16.3

  * CVE-2018-12232
    - PATCH 1/1] socket: close race condition between sock_close() and
      sockfs_setattr()

  * CVE-2018-10323
    - xfs: set format back to extents if xfs_bmap_extents_to_btree

  * change front mic location for more lenovo m7/8/9xx machines (LP: #1781316)
    - ALSA: hda/realtek - Fix the problem of two front mics on more machines
    - ALSA: hda/realtek - two more lenovo models need fixup of MIC_LOCATION

  * Cephfs + fscache: unab...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released

I just hope that this fix makes it into an official release this time, and that other problems in 4.15.0-33.36 don't prevent me from using it.

The official 4.15.0.33 does indeed contain the bluetooth fix (and other issues in the proposed version have also be sorted).

Many thanks to all those who do this work. Apologies for being a bit impatient,

Edward (edward-911) wrote :

I am on Linux version 4.15.0-33-generic (buildd@lcy01-amd64-024) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #36-Ubuntu SMP and the bluetooth is not working.

Please help.

Alexandros Ferles (ferles) wrote :

I am on Ubuntu 18.04, have both a wireless headset and speakers, amd after connecting them for the first time and everything works properly, after my PC reboots or even sleeps and I am trying to re-connect them, while they are paired they do not connect at all. If I remove the device, I cannot even find it afterwards, and no fix is working. Seriously, this is frustrating.

Aaron Peromsik (aperomsik) wrote :

Although I had planned to leave my laptop on LTS, eventually bluetooth issues convinced me to move to 18.10. It works much better with the newer kernel.

Dupo (dupop35) wrote :

Hello,

I want to tell you that the bluetooth is not working with the 4.18.0-13 kernel and the 4.15.0-43 for me (Ubuntu 18.04 and derivatives) despite I installed the bluetooth firmware for my rtl8723bs card. I installed the 4.20.3 kernel from the Mainline kernel Ubuntu PPA website with the help of ukuu and the bluetooth works (my adapter is recognized). So it seems there is still a bug in the Ubuntu official kernels.

Regards.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.